#ifndef _DRAWINGSGL_H
#define _DRAWINGSGL_H

#ifdef WIN32
	#include <windows.h>
#endif

struct vector3d;

void DrawWireCube ();
void DrawSolidCube ();
void DrawCircle ();
void DrawTorus ();
void DrawPoint (float r, float x, float y, float z);
void DrawAxis();
void DrawDisc(float radius, int segments);
void DrawCircle(float radius, int segments);
void DrawCone(int segments);
void DrawVector(vector3d start, vector3d end);
void DrawRect2D (float x, float y, float w, float h);

#endif /* _DRAWINGSGL_H */
